using Mindforge.API.Models;

namespace Mindforge.API.Services.Interfaces
{
    public interface IGiteaService
    {
        Task<List<FileTreeNode>> GetFileTreeAsync();
        Task<string> GetFileContentAsync(string path);
        string GetRepositoryName();
    }
}
